Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Class BlockStackingLayoutManager.MappingPosition

    java.lang.Object
      org.apache.fop.layoutmgr.Position
          org.apache.fop.layoutmgr.BlockStackingLayoutManager.MappingPosition

Enclosing class:
  BlockStackingLayoutManager

    protected static class BlockStackingLayoutManager.MappingPosition

extends Position

A mapping position.

Constructor Summary
`BlockStackingLayoutManager.MappingPosition(LayoutManager lm, int first, int last)` Construct mapping position.

Method Summary
`int` | `getFirstIndex()`
`int` | `getLastIndex()`

Methods inherited from class org.apache.fop.layoutmgr.Position
`generatesAreas, getIndex, getLM, getLM, getPosition, getPosition, getShortLMName, setIndex, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlockStackingLayoutManager.MappingPosition

    public BlockStackingLayoutManager.MappingPosition(LayoutManager lm,
                                                      int first,
                                                      int last)

  Construct mapping position.

  Parameters:
    `lm` - layout manager
    `first` - position
    `last` - position

Method Detail

### getFirstIndex

    public int getFirstIndex()

  Returns:
    first index

### getLastIndex

    public int getLastIndex()

  Returns:
    last index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.